diff --git a/doc/src/sgml/biblio.sgml b/doc/src/sgml/biblio.sgml
index 443e2d6fac..aea0544bbc 100644
--- a/doc/src/sgml/biblio.sgml
+++ b/doc/src/sgml/biblio.sgml
@@ -564,5 +564,23 @@ ssimkovi@ag.or.at
     </confgroup>
    </biblioentry>
 
+   <biblioentry id="ston92">
+   <biblioset relation="article">
+    <title><ulink url="https://dsf.berkeley.edu/papers/S2K-91-05.pdf">
+    An overview of the Sequoia 2000 project
+    </ulink></title>
+    <authorgroup>
+     <author>
+      <firstname>M.</firstname>
+      <surname>Stonebraker</surname>
+     </author>
+    </authorgroup>
+   </biblioset>
+   <biblioset relation="journal">
+    <title>Digest of Papers COMPCON Spring 1992</title>
+    <date>1992</date>
+    <pagenums>383&ndash;388</pagenums>
+   </biblioset>
+   </biblioentry>
   </bibliodiv>
  </bibliography>
diff --git a/doc/src/sgml/history.sgml b/doc/src/sgml/history.sgml
index e7d134e53a..856c9b01de 100644
--- a/doc/src/sgml/history.sgml
+++ b/doc/src/sgml/history.sgml
@@ -75,9 +75,8 @@
    url="https://www.ibm.com/">IBM</ulink>) picked up the code and
    commercialized it.  In late 1992,
    <productname>POSTGRES</productname> became the primary data manager
-   for the
-   <ulink url="http://meteora.ucsd.edu/s2k/s2k_home.html">
-   Sequoia 2000 scientific computing project</ulink>.
+   for the Sequoia 2000 scientific computing project described in
+   <xref linkend="ston92"/>.
   </para>
 
   <para>
diff --git a/doc/src/sgml/isn.sgml b/doc/src/sgml/isn.sgml
index bd7a221f73..45a867d98c 100644
--- a/doc/src/sgml/isn.sgml
+++ b/doc/src/sgml/isn.sgml
@@ -398,9 +398,9 @@ SELECT isbn13(id) FROM test;
    <itemizedlist>
     <listitem><para><ulink url="https://www.gs1.org/standards/id-keys"></ulink></para></listitem>
     <listitem><para><ulink url="https://en.wikipedia.org/wiki/List_of_ISBN_registration_groups"></ulink></para></listitem>
-    <listitem><para><ulink url="https://www.isbn-international.org/content/isbn-users-manual"></ulink></para></listitem>
+    <listitem><para><ulink url="https://www.isbn-international.org/content/isbn-users-manual/29"></ulink></para></listitem>
     <listitem><para><ulink url="https://en.wikipedia.org/wiki/International_Standard_Music_Number"></ulink></para></listitem>
-    <listitem><para><ulink url="https://www.ismn-international.org/ranges.html"></ulink></para></listitem>
+    <listitem><para><ulink url="https://www.ismn-international.org/ranges/tools"></ulink></para></listitem>
    </itemizedlist>
 
    Care was taken during the creation of the algorithms and they
